
import 'package:flutter/widgets.dart' as widgets;
import 'package:flutter_svg/flutter_svg.dart';

class AppNotificationSolid extends widgets.StatelessWidget {
  final widgets.Color? color;
  final double? width;
  final double? height;

  const AppNotificationSolid({widgets.Key? key, this.color, this.width, this.height})
      : super(key: key);

  @override
  widgets.Widget build(widgets.BuildContext context) => SvgPicture.string(
        '''
<svg width="24" height="24" viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg">
<path fill-rule="evenodd" clip-rule="evenodd" d="M15.25 5C15.25 2.92894 16.9289 1.25 19 1.25C21.0711 1.25 22.75 2.92894 22.75 5C22.75 7.07106 21.0711 8.75 19 8.75C16.9289 8.75 15.25 7.07106 15.25 5Z" fill="currentColor"/>
<path fill-rule="evenodd" clip-rule="evenodd" d="M14.527 2.25C14.0342 3.04977 13.75 3.99169 13.75 5C13.75 7.89947 16.1004 10.25 19 10.25C20.0083 10.25 20.9502 9.96575 21.75 9.47301V15C21.75 18.7279 18.7279 21.75 15 21.75H9C5.27208 21.75 2.25 18.7279 2.25 15V9C2.25 5.27208 5.27208 2.25 9 2.25H14.527Z" fill="currentColor"/>
</svg>
''',
        colorFilter:
            color != null ? widgets.ColorFilter.mode(color!, widgets.BlendMode.srcIn) : null,
        width: width,
        height: height,
      );
}
